View Issue Details

IDProjectCategoryView StatusLast Update
0000664SymmetricDSImprovementpublic2014-02-02 20:52
ReporterchensonAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0.3 
Target Version3.0.4Fixed in Version3.0.4 
Summary0000664: Pass a reference to ISymmetricEngine to the Scripted Router so it has access to SymmetricDS services
DescriptionPass a reference to ISymmetricEngine to the Scripted Router so it has access to SymmetricDS services from beanshell.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master f5dc04e8

2012-06-22 14:46:06

chenson

Details Diff
0000664: Pass a reference to ISymmetricEngine to the Scripted Router so it has access to SymmetricDS services
0000664
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/route/BshDataRouter.java Diff File
mod - symmetric/symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2012-06-22 14:41 chenson New Issue
2012-06-22 14:42 chenson Status new => resolved
2012-06-22 14:42 chenson Resolution open => fixed
2012-06-22 14:42 chenson Product Version => 3.0.3
2012-06-22 14:42 chenson Fixed in Version => 3.0.4
2012-06-22 14:42 chenson Target Version => 3.0.4
2012-06-23 11:48 admin Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r5907
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f5dc04e8